Uploaded image for project: 'Apache IoTDB'
  1. Apache IoTDB
  2. IOTDB-1151

jaxb 版本问题

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Trivial
    • Resolution: Fixed
    • None
    • None
    • Others

    Description

      从 maven 仓库拉取 JDBC jar 包或者构建项目时会有如下报错:

      报错内容

      The following artifacts could not be resolved: com.sun.istack:istack-commons-runtime:jar:3.0.6, com.sun.xml.fastinfoset:FastInfoset:jar:1.2.14

      我认为此问题是由于此项目中采用的 jaxb 版本过老而造成的。和此问题相关的 Jar 包是:

      <groupId>org.glassfish.jaxb</groupId>
      <artifactId>jaxb-runtime</artifactId>
      <version>2.4.0-b180725.0644</version>
      

      而此软件包有两项依赖并不在 maven 仓库中:

      • com.sun.xml.fastinfoset:FastInfoset:jar:1.2.14
      • com.sun.istack:istack-commons-runtime:jar:3.0.6

       

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned
            wangqian8963 QianWang
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment